Subject: Re: bug#23217: xboing bugs

From: [email-masked] (Ludovic Courtès)
Date: Thu, 28 Apr 2016 10:05:13 +0200

John Darrington <[email-masked]> skribis:

> On Tue, Apr 19, 2016 at 12:27:48PM +0200, Ludovic Court??s wrote:
>> John Darrington <[email-masked]> skribis:
>> 
>> > On Mon, Apr 18, 2016 at 04:45:11PM +0200, Ludovic Court??s wrote:
>> >> John Darrington <[email-masked]> skribis:
>> >> 
>> >> > You have to run it with the -usedefcmap option.  Then it works
>> >> > just fine.
>> >> 
>> >> Can we improve on this or should we close the bug?
>> >> 
>> >
>> >  I see that debian has some quite extensive patches to Xboing, 
>> > which seems to fix this issue and many others.
>> >
>> > Should we purloin them?
>> 
>> I would suggest taking only those that fix serious bugs such as this
>> one.  WDYT?
>
> It depends on what you consider as serious.  Some of them fix potential
> buffer overflows.  Debian considers that a serious bug.

I would consider “serious” any fixes for security bugs and for bugs that
make it inconvenient or impossible to use the software, such as the
-usedefcmap issue above.

Ludo’.